Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JTextFieldOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JTextComponentOperator
                                    |
                                    +--org.netbeans.jemmy.operators.JTextFieldOperator

All Implemented Interfaces:
  Outputable, Timeoutable

Direct Known Subclasses:
  JPasswordFieldOperator

public class JTextFieldOperator
extends JTextComponentOperator

Timeouts used:
JTextComponentOperator.PushKeyTimeout - time between key pressing and releasing during text typing
JTextComponentOperator.BetweenKeysTimeout - time to sleep between two chars typing
JTextComponentOperator.ChangeCaretPositionTimeout - maximum time to chenge caret position
JTextComponentOperator.TypeTextTimeout - maximum time to type text
ComponentOperator.WaitComponentTimeout - time to wait component displayed
ComponentOperator.WaitFocusTimeout - time to wait component focus
JScrollBarOperator.OneScrollClickTimeout - time for one scroll click
JScrollBarOperator.WholeScrollTimeout - time for the whole scrolling
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JTextFieldOperator.JTextFieldFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.JTextComponentOperator
`JTextComponentOperator.JTextComponentByTextFinder, JTextComponentOperator.JTextComponentFinder, JTextComponentOperator.NoSuchTextException, JTextComponentOperator.TextChooser`

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Fields inherited from class org.netbeans.jemmy.operators.JTextComponentOperator
`IS_EDITABLE_DPROP, modifiersPressed, SELECTED_TEXT_DPROP, TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JTextFieldOperator(ContainerOperator cont)` Constructor.
`JTextFieldOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JTextFieldOperator object.
`JTextFieldOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JTextFieldOperator object.
`JTextFieldOperator(ContainerOperator cont, int index)` Constructor.
`JTextFieldOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`JTextFieldOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`JTextFieldOperator(javax.swing.JTextField b)` Constructor.

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener actionListener)` Maps `JTextField.addActionListener(ActionListener)` through queue
`static javax.swing.JTextField` | `findJTextField(java.awt.Container cont, ComponentChooser chooser)` Searches JTextField in container.
`static javax.swing.JTextField` | `findJTextField(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JTextField in container.
`static javax.swing.JTextField` | `findJTextField(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Searches JTextField by text.
`static javax.swing.JTextField` | `findJTextField(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Searches JTextField by text.
`int` | `getColumns()` Maps `JTextField.getColumns()` through queue
`int` | `getHorizontalAlignment()` Maps `JTextField.getHorizontalAlignment()` through queue
`javax.swing.BoundedRangeModel` | `getHorizontalVisibility()` Maps `JTextField.getHorizontalVisibility()` through queue
`int` | `getScrollOffset()` Maps `JTextField.getScrollOffset()` through queue
`void` | `postActionEvent()` Maps `JTextField.postActionEvent()` through queue
`void` | `removeActionListener(java.awt.event.ActionListener actionListener)` Maps `JTextField.removeActionListener(ActionListener)` through queue
`void` | `setActionCommand(java.lang.String string)` Maps `JTextField.setActionCommand(String)` through queue
`void` | `setColumns(int i)` Maps `JTextField.setColumns(int)` through queue
`void` | `setHorizontalAlignment(int i)` Maps `JTextField.setHorizontalAlignment(int)` through queue
`void` | `setScrollOffset(int i)` Maps `JTextField.setScrollOffset(int)` through queue
`static javax.swing.JTextField` | `waitJTextField(java.awt.Container cont, ComponentChooser chooser)` Waits JTextField in container.
`static javax.swing.JTextField` | `waitJTextField(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JTextField in container.
`static javax.swing.JTextField` | `waitJTextField(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Waits JTextField by text.
`static javax.swing.JTextField` | `waitJTextField(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Waits JTextField by text.
`void` | `waitText(java.lang.String text)` Wait some text to be displayed.
`void` | `waitText(java.lang.String text, int position)` Wait some text to be displayed starting from certain position.

Methods inherited from class org.netbeans.jemmy.operators.JTextComponentOperator
`addCaretListener, changeCaretPosition, changeCaretPosition, changeCaretPosition, clearText, copy, copyEnvironment, cut, enterText, findJTextComponent, findJTextComponent, findJTextComponent, findJTextComponent, getActions, getCaret, getCaretColor, getCaretPosition, getDisabledTextColor, getDisplayedText, getDocument, getDump, getFocusAccelerator, getHighlighter, getKeymap, getMargin, getOutput, getPositionByText, getPositionByText, getPositionByText, getPositionByText, getPreferredScrollableViewportSize, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedText, getSelectedTextColor, getSelectionColor, getSelectionEnd, getSelectionStart, getText, getText, getTimeouts, getUI, isEditable, modelToView, moveCaretPosition, paste, read, removeCaretListener, replaceSelection, scrollToPosition, select, selectAll, selectText, selectText, selectText, setCaret, setCaretColor, setCaretPosition, setDisabledTextColor, setDocument, setEditable, setFocusAccelerator, setHighlighter, setKeymap, setMargin, setOutput, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, setText, setTimeouts, setUI, typeText, typeText, viewToModel, waitCaretPosition, waitJTextComponent, waitJTextComponent, waitJTextComponent, waitJTextComponent, write`

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTextFieldOperator

    public JTextFieldOperator(javax.swing.JTextField b)

  Constructor.
  Parameters:
    `b` - a component

### JTextFieldOperator

    public JTextFieldOperator(ContainerOperator cont,
                              ComponentChooser chooser,
                              int index)

  Constructs a JTextFieldOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JTextFieldOperator

    public JTextFieldOperator(ContainerOperator cont,
                              ComponentChooser chooser)

  Constructs a JTextFieldOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JTextFieldOperator

    public JTextFieldOperator(ContainerOperator cont,
                              java.lang.String text,
                              int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTextFieldOperator

    public JTextFieldOperator(ContainerOperator cont,
                              java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTextFieldOperator

    public JTextFieldOperator(ContainerOperator cont,
                              int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JTextFieldOperator

    public JTextFieldOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJTextField

    public static javax.swing.JTextField findJTextField(java.awt.Container cont,
                                                        ComponentChooser chooser,
                                                        int index)

  Searches JTextField in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
    `index` - Ordinal component index.
  Returns:
    JTextField instance or null if component was not found.

### findJTextField

    public static javax.swing.JTextField findJTextField(java.awt.Container cont,
                                                        ComponentChooser chooser)

  Searches JTextField in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JTextField instance or null if component was not found.

### findJTextField

    public static javax.swing.JTextField findJTextField(java.awt.Container cont,
                                                        java.lang.String text,
                                                        boolean ce,
                                                        boolean ccs,
                                                        int index)

  Searches JTextField by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JTextField instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJTextField

    public static javax.swing.JTextField findJTextField(java.awt.Container cont,
                                                        java.lang.String text,
                                                        boolean ce,
                                                        boolean ccs)

  Searches JTextField by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JTextField instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJTextField

    public static javax.swing.JTextField waitJTextField(java.awt.Container cont,
                                                        ComponentChooser chooser,
                                                        int index)

  Waits JTextField in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
    `index` - Ordinal component index.
  Returns:
    JTextField instance.
  Throws:
    `TimeoutExpiredException` -

### waitJTextField

    public static javax.swing.JTextField waitJTextField(java.awt.Container cont,
                                                        ComponentChooser chooser)

  Waits JTextField in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JTextField instance.
  Throws:
    `TimeoutExpiredException` -

### waitJTextField

    public static javax.swing.JTextField waitJTextField(java.awt.Container cont,
                                                        java.lang.String text,
                                                        boolean ce,
                                                        boolean ccs,
                                                        int index)

  Waits JTextField by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JTextField instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJTextField

    public static javax.swing.JTextField waitJTextField(java.awt.Container cont,
                                                        java.lang.String text,
                                                        boolean ce,
                                                        boolean ccs)

  Waits JTextField by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JTextField instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitText

    public void waitText(java.lang.String text,
                         int position)

  Wait some text to be displayed starting from certain position.
  Overrides:
    `waitText` in class `JTextComponentOperator`
  Parameters:
    `text` - a text to wait.
    `position` - start position.

### waitText

    public void waitText(java.lang.String text)

  Wait some text to be displayed.
  Overrides:
    `waitText` in class `JTextComponentOperator`
  Parameters:
    `text` - a text to wait.

### addActionListener

    public void addActionListener(java.awt.event.ActionListener actionListener)

  Maps `JTextField.addActionListener(ActionListener)` through queue

### getColumns

    public int getColumns()

  Maps `JTextField.getColumns()` through queue

### getHorizontalAlignment

    public int getHorizontalAlignment()

  Maps `JTextField.getHorizontalAlignment()` through queue

### getHorizontalVisibility

    public javax.swing.BoundedRangeModel getHorizontalVisibility()

  Maps `JTextField.getHorizontalVisibility()` through queue

### getScrollOffset

    public int getScrollOffset()

  Maps `JTextField.getScrollOffset()` through queue

### postActionEvent

    public void postActionEvent()

  Maps `JTextField.postActionEvent()` through queue

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener actionListener)

  Maps `JTextField.removeActionListener(ActionListener)` through queue

### setActionCommand

    public void setActionCommand(java.lang.String string)

  Maps `JTextField.setActionCommand(String)` through queue

### setColumns

    public void setColumns(int i)

  Maps `JTextField.setColumns(int)` through queue

### setHorizontalAlignment

    public void setHorizontalAlignment(int i)

  Maps `JTextField.setHorizontalAlignment(int)` through queue

### setScrollOffset

    public void setScrollOffset(int i)

  Maps `JTextField.setScrollOffset(int)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD